| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- FitQuality

# MsXpS::libXpertMassCore::FitQuality Struct

struct MsXpS::libXpertMassCore::FitQuality

This struct holds the metric data about the matches between the calculated isotopic cluster's centroids and those from the input centroided mass spectrum. This struct is mainly for use in the reporting to the user. More...

Header: | `#include <MsXpS/libXpertMassCore/AbstractLowMassDeconvolver.hpp>`

- List of all members, including inherited members
- FitQuality is part of libXpertMassCore Data processing.

## Public Functions

| FitQuality()
| FitQuality(double pearson_correlation, double spacing_error_ppm, double explained_intensity)

## Public Variables

double | explainedIntensity
double | pearsonCorrelation
double | spacingErrorPpm

## Detailed Description

## Member Function Documentation

### FitQuality::FitQuality()

Constructs an empty FitQuality instance.

### FitQuality::FitQuality(double pearson_correlation, double spacing_error_ppm, double explained_intensity)

Constructs a FitQuality instance using the parameters to initialize it.

- pearson_correlation: Pearson correlation
- spacing_error_ppm: mean of the spacing errors between contiguous isotopic cluster centroids
- explained_intensity: comparison of the sum of the centroid intensities in the calculated and observed isotopic clusters

## Member Variable Documentation

### double FitQuality::explainedIntensity

For a given isotopic cluster set of matches, difference between the sum of the input mass spectral isotopic cluster's centroid intensities and that obtained for their calculated isotopic cluster counterparts, divided by that latter sum.

This value compares the sum of the intensities in the calculated cluster with the sum of the intensities of the matched centroids taking the calculated as the reference of the expected isotopic cluster profile.

### double FitQuality::pearsonCorrelation

Pearson correlation value computed between the different centroids of the calculated and observed isotopic clusters.

The Pearson correlation checks that the observed and theoretical isotopic cluster centroids are correlated by their intensities.

### double FitQuality::spacingErrorPpm

Mean of the spacing errors between contiguous isotopic cluster centroids in the input mass spectrum compared to the theoretically expected spacings.